Version 10 (modified by james, 8 years ago)
--

3.2.27 ← What's new in 3.2.28 (pre-release) → 3.2.29

User Interface changes

  • Add cmdline to history.
  • Add rpmdb problems to history.
  • Add skip broken packages to history.
  • Help users out when repos. aren't enabled in clean/etc.
  • Can pass multiple arguments to "yum check".
  • Ignore "yum check" problems with packages being removed.
  • Add total remove size, when just doing removes.
  • Move protect-packages plugin into core, defaults to: "yum, glob:/etc/yum/protected.d"
  • Add glob: syntax to all options which are lists.
  • Add simple unfilled requirements test, when we compare providers.
  • Add deselections to install, update, downgrade, remove (Eg. install @blah -foo).
  • Allow "nocontexts" in conf.tsflags, if supported in rpm.
  • Add yum check sub-commands (included in "all"): obsoleted and provides.
  • Add a header to the automatic yum check output
  • Add /etc/yum/vars
  • Allow: "yum version group blah" to just output the version for the blah version group.
  • Users can export TMPDIR to specify an alternate directory to use for non-root caches.
  • Add --setopt option to the cli.
  • Add the groupremove_leaf_only option.
  • Fix the "user" column width for history summary.
  • Put "EE" in history list, if the transaction had error output.
  • Add provides data to dep. failure messages.
  • Return errors on "yum install" if no packages could be found.
  • Add distro-sync command.

Significant bugfixes

  • Get the arch. correct when installing new multilib pkgs. that are obsoleters of what was requested.
  • Fix weird, and very old, depsolving bug with requirements of requirements.
  • Move the yum rpmdb indexes to /var/lib/yum/rpmdb-indexes ... helps mock.
  • Setup the permissions on the yum.log file.
  • Fixes for double prepending installroot (preupgrade/etc.).
  • Catch the new 4.8.0 can't open rpmdb error.
  • Depsolving problems where obsoleting packages don't provide the thing we required from their obsoletee.
  • Workaround MD reget problems.
  • Don't traceback on subkey only GPG keys.
  • Don't traceback for normal users, when they can't open the history DB.
  • syslog configuration.
  • Fix search for keys=True API users, like PK.

Resource improvement changes

  • Don't do rpmdb checks, when history isn't configured.
  • Enable conditional "big update" speedup, disable if a using a package from a repo. without pkgfiles index.
  • Speedup returnNewestByName(), for at least old repodiff.
  • Add caches for multiple .install/.remove calls.

API changes

  • Catch the new 4.8.0 can't open rpmdb error.
  • Remove all internal uses of has_key, for py3k compat.
  • Add tsInfo.deselect() for anaconda/kickstart.
  • Add pkg.obsoletedBy().
  • Add primary_only arg. to returnFileTypes().
  • Add /etc/yum/vars.
  • Add provides_for as an arg. to .install().
  • Add .readable to the history object.

Developer stats.

3.2.28 - 140 commits: Wed May 19 15:02:35 2010 -0400

?? files changed,   ?,??? insertions(+),   ?,??? deletions(-)
?? files changed,     ??? insertions(+),     ??? deletions(-) [yum rpmUtils bin *.py]